Create a sale order

Body Params
string

The id of this order. It is possible to provide an ID, due to the ability to create sale order whilst offline in ePOS

string

The id of the user that created this order

string
enum
required

Whether this is an order or a quote.

Allowed:
date-time

The date/time the order was made in ISO-8601 format. This will default to the current time.

string
enum
required

The source type (loosely translates to the channel type with one exception) of this order.

string

If source type is anything but web_application, the channel ID, that created the order, should be provided here

string
enum

Relevant for orders created by a source using a licence for api verification (i.e. ePOS). Miscellaneous indicates a historic order created before this property was implemented and should not be used for future orders

Allowed:
string

When providing a sourceReferenceType licence, the licence ID should be provided here

string
length between 5 and 64

The barcode will accept any characters and it is left to the discretion of the front end system to display/format the barcode.

tags
array of strings
tags
items
array of objects
required

Array of sale order items

items*
invoices
array of objects

An array of invoices

invoices
payments
array of objects
deprecated

An array of payments. This is now deprecated, use invoices and invoice payments.

payments
string

This value will be sent as part of any shipments to your carriers and should be provided by the carrier

string

The customer reference for this order

customer
object

Customer details

shipping
object

Shipping information for this order

date-time
string
notificationRequests
array of objects

An array of objects containing information on how the user should be notified of their order

notificationRequests
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json